Bug 579171 - Review Request: lxpolkit - Simple PolicyKit authentication agent
Summary: Review Request: lxpolkit - Simple PolicyKit authentication agent
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: LXDE
TreeView+ depends on / blocked
 
Reported: 2010-04-03 00:01 UTC by Christoph Wickert
Modified: 2010-07-13 07:50 UTC (History)
2 users (show)

Fixed In Version: lxpolkit-0.1.0-0.1.20100402git5087383.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-07-04 20:45:17 UTC
kevin: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Christoph Wickert 2010-04-03 00:01:28 UTC
Spec URL: http://cwickert.fedorapeople.org/review/lxpolkit.spec
SRPM URL: http://cwickert.fedorapeople.org/review/lxpolkit-0.1.0-0.1.20100402git5087383.fc14.src.rpm
Description: LXPolKit is a simple PolicyKit authentication agent developed for LXDE, the Lightweight X11 Desktop Environment.

Comment 1 Kevin Fenzi 2010-04-04 18:54:49 UTC
I'll go ahead and review this. Look for a full review in a bit.

Comment 2 Kevin Fenzi 2010-04-04 19:08:45 UTC
OK - Package meets naming and packaging guidelines
OK - Spec file matches base package name. 
OK - Spec has consistant macro usage. 
OK - Meets Packaging Guidelines. 
OK - License (GPLv2+)
OK - License field in spec matches
OK - License file included in package
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum:

OK - BuildRequires correct
OK - Package has %defattr and permissions on files is good. 
OK - Package has a correct %clean section. 
OK - Package has correct buildroot
OK - Package is code or permissible content. 
OK - Packages %doc files don't affect runtime. 
OK - Package has rm -rf RPM_BUILD_ROOT at top of %install

OK - Package compiles and builds on at least one arch. 
OK - Package has no duplicate files in %files. 
OK - Package doesn't own any directories other packages own. 
OK - Package owns all the directories it creates. 
OK - Package obey's FHS standard (except for 2 exceptions)
See below - No rpmlint output. 
See below - final provides and requires are sane.

SHOULD Items:

OK - Should build in mock. 
OK - Should build on all supported archs
OK - Should function as described. 
OK - Should have sane scriptlets. 
OK - Should have dist tag
OK - Should package latest version
OK - Should not use file requires outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin

Issues: 

1. Your git checkout comment has the wrong repo in it. ;) 

Should be  git://lxde.git.sourceforge.net/gitroot/lxde/lxpolkit

2. rpmlint says: 

lxpolkit.src:27: W: unversioned-explicit-provides PolicyKit-authentication-agent

Should that be versioned? I would guess not.

lxpolkit.src: W: invalid-url Source0: lxpolkit-20100402git5087383.tar.bz2
lxpolkit.x86_64: W: conffile-without-noreplace-flag /etc/xdg/autostart/lxpolkit.desktop

Should this be config(noreplace)?

Comment 3 Christoph Wickert 2010-04-04 21:46:44 UTC
(In reply to comment #2)
> 
> 1. Your git checkout comment has the wrong repo in it. ;) 

Copy & paste... I will fix this before building.

> lxpolkit.src:27: W: unversioned-explicit-provides
> PolicyKit-authentication-agent
> 
> Should that be versioned? I would guess not.

Right, this is a virtual provides, so no versioning. We will get fun with that one anyway: compared to polkit-gnome or polkit-kde, lxpolkit is the shortest name and will be pulled in by yum. All desktop files in autostart will need "OnlyShowIn=..." so that only one agent gets started in each desktop.

I think it makes sense if the people using a legacy window manager like openbox or alike will get lxshortcut instead of a GNOME or KDE specific agent. But I will discuss this on f-d-l since we need to coordinate the updates.

> lxpolkit.x86_64: W: conffile-without-noreplace-flag
> /etc/xdg/autostart/lxpolkit.desktop
> 
> Should this be config(noreplace)?

I guess not. We want translation updates or a change in the path to appear there and changes like en/disabling the autostart are done in the private autostart ~/.config/autostart/ anyway.

Comment 4 Kevin Fenzi 2010-04-05 03:29:45 UTC
Yeah, that all sounds good. I see no further blockers here... this package is APPROVED.

Comment 5 Christoph Wickert 2010-04-05 10:32:22 UTC
New Package CVS Request
=======================
Package Name: lxpolkit
Short Description: Simple PolicyKit authentication agent
Owners: cwickert
Branches: F-12 F-13
InitialCC:

Comment 6 Kevin Fenzi 2010-04-08 02:45:11 UTC
CVS done (by process-cvs-requests.py).

Comment 7 Kevin Fenzi 2010-06-05 20:49:17 UTC
Can this be imported and built now?

Comment 8 Christoph Wickert 2010-06-05 22:38:00 UTC
It is imported but nit yet built because I'm still afraid to break everything due to the "shortest package name wins" rule of yum. I asked on the mailing list but we were not able to reach a census. Instead, Matthias Clasen wanted to make a feature of this, see http://fedoraproject.org/wiki/Features/PolkitAgentReorg

Comment 9 Kevin Fenzi 2010-07-04 19:34:34 UTC
Any news here? Or still in limbo?

Comment 10 Christoph Wickert 2010-07-04 20:37:39 UTC
I will just go ahead and build this package. I don't really care if I break something, the GNOME folks had 3 months to object but nobody replied to my latest mail. I just sent another mail to the desktop list, lets see what happens.

Comment 11 Fedora Update System 2010-07-04 20:41:06 UTC
lxpolkit-0.1.0-0.1.20100402git5087383.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/lxpolkit-0.1.0-0.1.20100402git5087383.fc13

Comment 12 Fedora Update System 2010-07-04 20:43:33 UTC
lxpolkit-0.1.0-0.1.20100402git5087383.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/lxpolkit-0.1.0-0.1.20100402git5087383.fc12

Comment 13 Fedora Update System 2010-07-13 07:34:48 UTC
lxpolkit-0.1.0-0.1.20100402git5087383.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2010-07-13 07:50:35 UTC
lxpolkit-0.1.0-0.1.20100402git5087383.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.